Bug 467626 - System freeze in GNOME Fedora 9 [NEEDINFO]
System freeze in GNOME Fedora 9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 12:20 EDT by Martin
Modified: 2009-07-14 10:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:38:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdc: needinfo? (maaudk)


Attachments (Terms of Use)

  None (edit)
Description Martin 2008-10-19 12:20:48 EDT
Description of problem:
A freeze occurs unpredictably when manipulating a window using keyboard or mouse (fx. maximize, scroll down). Almost exclusively happens when using Firefox, but also seen with emacs.

When the freeze occurs, behavior is as follows:

1) mouse can be moved sluggishly
2) no keyboard input is accepted
3) processes seems to continue running, albeit sluggishly, i.e. music being played is chopped into pieces.
4) frenzied but seemingly periodic hard-disk activity

Version-Release number of selected component (if applicable):


How reproducible:
The following procedure provokes the fault rapidly and with certainty:


Steps to Reproduce:
1. Start Firefox
2. Grab the firefox window at the top bar with the mouse
3. Quickly move the window around
4. The freeze occurs within seconds.
  
Actual results:


Expected results:


Additional info:

uname -a:
Linux x1-6-00-1d-60-77-e0-a1 2.6.26.5-45.fc9.i686 #1 SMP Sat Sep 20 03:45:00 EDT 2008 i686 athlon i386 GNU/Linux

Gnome version: 2.22.3
Firefox version 3.0.2
Comment 1 Ray Strode [halfline] 2008-10-20 12:19:13 EDT
What kind of video card?

What websites are you at when it happens?

If you go to a terminal (with ctrl-alt-f2), login, and type "top",

what shows up at the top of the list and what percentage cpu is it using?
Comment 2 Martin 2008-10-20 15:46:38 EDT
The videocard is the onboard videocard on the MB:

Asus M2A-VM

The fault occurs irrespective of what kinds of sites I visit, and as I said, not necessarily whilst using Firefox, though that is the most sure way to get the freeze.

I cannot go to a terminal when the fault occurs. The system does not respond to key-strokes nor mouse-clicks. I can only move the mouse around rather sluggishly. I have to press the reset button on the PC and start it afresh to get rid of the fault.
Comment 3 Cosmin 2008-11-08 12:31:13 EST
I encounter the same problem. My hardware is a Dell Inspiron 6400 laptop with following configuration: 

- Intel Core Duo T2400 / 5 Mb Cache / 1.83 GHz / 667 MHZ FSB
- 15.4" Wide-screen XGA Display with Truelife
- 120 Gb 5400 rpm Sata Hard Drive
- 1 Gb DDR2 SDRAM / 553 MHZ
- 256 Mb ATI Mobility Radeon X1400 Hyper memory


Additional informations:

kernel 2.6.26.6-79.fc9.i686
xorg-x11-drv-fglrx-8.543-0.4.8
xorg-x11-server-1.5.0-2
Gnome 2.22.3

The freeze appears randomly when I use Firefox but also with other applications. I suspect the X server or the ATI driver which could freeze the entire system. The machine can be restored from that state only using the power off button.
Comment 4 Shiki 2008-12-14 01:24:15 EST
Same happens here. ON Fedora 9 AND 10. Tried both. Both arch (i386 / x86-64).

The system just becomes totally unusuable, even trying to switch into a 'tty' fails. By the way, the shutdown dialog comes in if I press the shutdown button (gnome shutdown dialog).

System information:
- MSI P6N SLi v2 (NVidia 650i SLi chipset)
- 2x1024 mb @4-4-4-12 GEIL DDr2 800 memory
- MSI NX8600GTS 256mb VGA (+RPMfusion "kmod-nvidia")
- Intel Core2Quad q6600 @ 1.6/2.4ghz (ondemand)

Software is up-to-date (I did a full upgrade on yesterday Dec 14. Btw the freezes occured even before the updates..and on FC9 too).

I was using Banshee, pidgin, and started a terminal. I didn't boot up my system since the freeze, so please tell me what logs should I attach.
Comment 5 Shiki 2008-12-14 01:26:36 EST
One thing that I forgot. Once I used gnome-system-monitor tray applet when such freeze occured. As I saw, the "system" load was the one at fault. (It reached 100% , and the "main load" was still around 50%.. and then the sys freeze. (The main 50% load was because of me , since I was copying something with Filezilla..but besides that..))
Comment 6 lukapple 2009-01-17 12:18:05 EST
I had exactly the same problem. I use Fedora 9 (2.6.27.9-73.fc9.i686). This is the first time that I use GNU/Linux. I really like to use the linux system, but it's so annoying to have this problem! It happens randomly. 

I don't use Firefox, but Opera. But the bug occurs as well, even when I opened just a terminal or a file window. When it happens, I just have to to use the power button to force to shut off the system.

My computer is a Compaq nx6130 laptop. 
Other system information:
 - Intel Corporation:Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (Driver:intel-agp)
 - ATI Technologies Inc: M22 [Mobility Radeon X300] (Driver: radeonfb)
 - Intel Corporation:	PRO/Wireless 2200BG [Calexico2] Network Connection (Driver: ipw2200)
 - Broadcom Corporation: NetXtreme BCM5705M_2 Gigabit Ethernet (Driver: tg3)
Comment 7 lukapple 2009-02-08 18:32:11 EST
I have disabled the compiz fusion, and this doesn't reproduce any more.
I've also tried to enable the compiz fusion in xfce desktop, it happens randomly again. It seems to be the bug of compiz fusion.
Comment 8 François Cami 2009-02-18 19:56:11 EST
Martin,

Could you add your dmesg output ; /var/log/Xorg.0.log ; /var/log/messages after a similar freeze to that bug, as uncompressed plain text attachments ?

Thanks
Comment 9 Bug Zapper 2009-06-09 23:01:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 10:38:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.